Page MenuHomePhabricator

Discuss creating a UI/UX design hub
Closed, DuplicatePublic

Description

Session title
Defining collaborative approach to our design issues

Main topic
In a community based movement, how do we shape the process of problem definition, and decide collectively on directions for solutions for design issues?

Type of activity
Unconference workshop/ Hands-on

Description
We previously had a community discussion regarding https://www.mediawiki.org/wiki/User:Melamrawy_%28WMF%29/UI/UX_hub, it would help to have a workshop session to help us define different approaches to answer the following:

  1. Regarding design and UX topics -- In a community based movement, how do we shape the process of problem definition, and decide collectively on directions for solutions?
  2. How can stakeholders, both editors and foundation staff, work on solutions together, in case of design related issues. Would it be possible to move from a subjective design approach to a more community inclusive one, that is still clever and efficient?

Proposed by/moderator
Moushira

Preferred group size
3-12

Any supplies that you would need to run the session
post-its, flip chart

Interested attendees (sign up below)

  • Moushira Elamrawy
  • @Qgil

Notes

Event Timeline

Moushira created this task.Jan 3 2017, 11:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2017, 11:57 PM
Aklapper added a comment.EditedJan 4 2017, 12:37 PM

@Moushira: Should T117482 (and/or T121647) be parent tasks here (via "Edit Related Tasks..." in the top right corner), assuming the outcome of this session influences those tasks?

@Moushira: So please feel free to do it? :)

To the facilitator of this session: We have updated the unconference page with more instructions and faqs. Please review it in detail before the summit: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Unconference. If there are any questions or confusions, please ask! If your session gets a spot on the schedule, we would like you to read the session guidelines in detail: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We would also then expect you to recruit Note-taker(s) 2(min) and 3 (max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be available in all the session rooms! See you at the summit! :)

Qgil added a subscriber: Qgil.

(Just reusing a message @srishakatux sent to Unconference candidates weeks ago)

@Moushira Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

Qgil triaged this task as Normal priority.Jan 7 2017, 1:49 PM
Moushira updated the task description. (Show Details)Jan 7 2017, 2:03 PM
Qgil updated the task description. (Show Details)Jan 7 2017, 2:08 PM
Elitre added a subscriber: Elitre.EditedJan 11 2017, 12:47 AM

We're reviewing the notes before making a wikipage out of them. I'm waiting for Mou to tell me she's done with that before moving forward.

Elitre updated the task description. (Show Details)Jan 23 2017, 10:08 AM

There seem to be 4 action items, without an owner though.

Should the conversation be including non-WMF wikis?
How do we have positive conversations internally?
How do we incorporate larger audiences? - Most important question
Let's start by piloting with a small project (?)

Qgil added a comment.Feb 7 2017, 2:13 PM

Should this task be merged with T117482: Discuss creating a UI/UX design hub on mediawiki or meta, updating the latter with the relevant information and links from this session?

Moushira closed this task as Resolved.Feb 10 2017, 8:39 AM